plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.jetbrains.kotlin.android)
}

android {
    namespace 'com.grkj.iscs_mc'
    compileSdk 34
    viewBinding.enabled = true

    dataBinding {
        enabled true
    }

    defaultConfig {
        applicationId "com.grkj.iscs_mc"
        minSdk 24
        targetSdk 34
        versionCode 1
        versionName "1.0"

        multiDexEnabled true

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {

    implementation libs.androidx.core.ktx
    implementation libs.androidx.appcompat

    implementation libs.material
    implementation libs.androidx.activity
    implementation libs.androidx.constraintlayout

    implementation libs.androidx.lifecycle.runtime.ktx
    implementation libs.androidx.activity.compose
    implementation platform(libs.androidx.compose.bom)
    implementation libs.androidx.ui
    implementation libs.androidx.ui.graphics
    implementation libs.androidx.ui.tooling.preview
    implementation libs.androidx.material3
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core
    androidTestImplementation platform(libs.androidx.compose.bom)
    androidTestImplementation libs.androidx.ui.test.junit4
    debugImplementation libs.androidx.ui.tooling
    debugImplementation libs.androidx.ui.test.manifest

    implementation libs.okhttps
    implementation libs.okhttps.stomp
    implementation libs.log.interceptor
    implementation libs.autosize

    implementation 'androidx.multidex:multidex:2.0.1'

    // https://github.com/googlesamples/easypermissions
    implementation 'pub.devrel:easypermissions:3.0.0'

    implementation 'com.wang.avi:library:2.1.3'

    // RV通用Adapter  https://github.com/hongyangAndroid/base-adapter
    implementation 'com.zhy:base-rvadapter:3.0.3'
    // 日志工具 https://github.com/orhanobut/logger
    implementation 'com.orhanobut:logger:2.2.0'
}